local BlockThatBot_origfn = CriminalsManager.is_character_as_AI_level_blocked

-- If the bot's name is present in our data table, return that they are blocked
-- Otherwise, run the original function for the proper check
function CriminalsManager:is_character_as_AI_level_blocked(name)
	if not BlockThatBot._data.enabled then 
		return BlockThatBot_origfn(self,name)
	end
	if BlockThatBot._data.characters[name] or false then
		return true
	end
	return BlockThatBot_origfn(self,name) --original author forgot to pass self as an argument, breaking the original function
end